#include <iostream>
#include <vector>
#include <algorithm>
#include <stdio.h>

using namespace std;

bool x[200000], y[200000];

int xP[200000];
int yP[200000];
int main()
{
    int n;
    int mX=0;
    int mY=0;
    int poix=0;
    int poiy=0;
    int price=0;
    int a, b;
    scanf("%d", &n);
    for(int i=0; i<n;i++){
        scanf("%d%d", &a, &b);
        if(x[a-1]==false){
            x[a-1]=true;
        }else{
            xP[mX]=a;
            mX++;
        }

        if(y[b-1]==false){
            y[b-1]=true;
        }else{
            yP[mY]=b;
            mY++;
        }
    }

    sort(xP, xP+mX);
    sort(yP, yP+mY);

    for(int i=0; i<n;i++){
        if(!x[i]){
            x[i]=true;
            price+=abs(xP[poix]-i-1);
            poix++;
        }
        if(!y[i]){
            y[i]=true;
            price+=abs(yP[poiy]-i-1);
            poiy++;
        }
    }
    cout<<price;
}